Subject: RE: A failure to configure
From: [email-masked] (Alexander Stockdale)

8 Jul 1998 22:49:59 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked], "Massimo Balestra" <[email-masked]>

From:           	"Massimo Balestra" <[email-masked]>
To:             	[email-masked]
Subject:        	RE: A failure to configure
Date sent:      	Mon, 06 Jul 1998 09:04:04 CEST

> Seems I have the same problem.
> 
> I need to compile perl from the normal perl 5.004_04 distribution file 
> but I cannot do also the very first part of the installation procedure.
> 
> When I run "sh configure", after a lot of questions it tells me that 
> "gcc2 doesn't seem to be working".
> 
> 'cc' is not in the path.
> 
> I use (as in the perl 'readme.cygwin32' file) gcc2 (copied in a 
> directory in the path) as c compiler.
> 
> /bin is mounted in /CYGNUS/B19/HI386~1/BIN so it can find sh;
> 
> when I run gcc2 from the command line it works (I tried to compile the 
> same c program configure does;
> 
> But when I run sh configure it tells me that "gcc2 doesn't seem to be 
> working".
> 
> NOTE: just before this error it shows "gcc2: permission denied"
> 
> I tried to chmod 777 /<Path>/gcc2 but nothing change.
> 
> Remember that if I run gcc2 from the command line it works.
> 
> Seem that the "Permission denied" is on something else than gcc2 but 
> what?
> 

In the script named configure, try changing "/dev/null" to "configure.junk".  
This cleared up a bunch of configure problems for me that sound similar to what 
you are experiencing.

Alexander Stockdale

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".